//---------------------------------------------------------------------------

#ifndef visorAtaqueH
#define visorAtaqueH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include "estructurasDeControl.h"
#include <Grids.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TvisorAtaques : public TForm
{
__published:	// IDE-managed Components
        TPanel *Panel1;
        TPanel *Panel2;
        TSpeedButton *SpeedButton1;
        TSpeedButton *SpeedButton2;
        TSpeedButton *SpeedButton4;
        TSpeedButton *SpeedButton5;
        TSpeedButton *SpeedButton6;
        TGroupBox *GroupBox1;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        TLabel *Label6;
        TLabel *Label7;
        TLabel *Label8;
        TLabel *Label9;
        TLabel *Label10;
        TLabel *Label11;
        TLabel *Label13;
        TLabel *Label14;
        TEdit *Edit1;
        TEdit *Edit2;
        TEdit *Edit3;
        TEdit *Edit4;
        TEdit *Edit5;
        TEdit *Edit6;
        TEdit *Edit7;
        TEdit *Edit8;
        TEdit *Edit9;
        TEdit *Edit10;
        TEdit *Edit11;
        TEdit *Edit12;
        TEdit *Edit13;
        TLabel *Label15;
        TGroupBox *GroupBox2;
        TLabel *Label16;
        TLabel *Label17;
        TComboBox *planetasOrigen;
        TEdit *gD;
        TEdit *sD;
        TEdit *pD;
        TComboBox *tipoD;
        TBevel *Bevel1;
        TLabel *Label18;
        TComboBox *ordenes;
        TStringGrid *dgAtaques;
        TLabel *Label1;
        TSpeedButton *SpeedButton3;
        TSpeedButton *SpeedButton7;
        TSaveDialog *SaveDialog1;
        TOpenDialog *OpenDialog1;
        TComboBox *velocidadFactor;
        TComboBox *velocidadBase;
        TCheckBox *usarSatelites;
        void __fastcall nextTABcontrol(TObject *Sender, char &Key);
        void __fastcall SpeedButton2Click(TObject *Sender);
        void __fastcall SpeedButton5Click(TObject *Sender);
        void __fastcall SpeedButton6Click(TObject *Sender);
        void __fastcall SpeedButton1Click(TObject *Sender);
        void __fastcall dgAtaquesDrawCell(TObject *Sender, int ACol,
          int ARow, TRect &Rect, TGridDrawState State);
        void __fastcall dgAtaquesSelectCell(TObject *Sender, int ACol,
          int ARow, bool &CanSelect);
        void __fastcall SpeedButton4Click(TObject *Sender);
        void __fastcall SpeedButton3Click(TObject *Sender);
        void __fastcall SpeedButton7Click(TObject *Sender);
private:	// User declarations
        /* Magnetic FORM */
          HWND snapwin;
          RECT work_area;
          bool snapped;
          bool winprocthing;
          int thresh;
          void __fastcall SettingChanged(TMessage &msg);
          void __fastcall WMWindowPosChanging(TWMWindowPosChanging &msg);
          void __fastcall UpdateWorkArea();
        /*****************/

        bool updatingDB;
        
        int __fastcall guardarAtaque(void);
        AnsiString __fastcall digerirFlota(THangar *naves,int numNaves);

//        void __fastcall fixParams(THangar *naves);


public:		// User declarations
        __fastcall TvisorAtaques(TComponent* Owner);

        TAtaqueOfensivo* ataqueActual;
        TList *AtaquesOfensivos;

        void __fastcall nuevoAtaque(void);
        void __fastcall resetAtaque(int i);
        void __fastcall cargarAtaque(int i);

//        bool __fastcall cargarAtaques(AnsiString filename);



/* Magnetic Form */
BEGIN_MESSAGE_MAP
  MESSAGE_HANDLER(WM_WINDOWPOSCHANGING,TWMWindowPosChanging,WMWindowPosChanging);
  MESSAGE_HANDLER(WM_SETTINGCHANGE,TMessage,SettingChanged);
END_MESSAGE_MAP(TForm);
/****************/


};
//---------------------------------------------------------------------------
extern PACKAGE TvisorAtaques *visorAtaques;
//---------------------------------------------------------------------------
#endif
